import type { Asset } from '../assets.js';
import type { VideoPropsInternal } from './types.js';
export type * from './types.js';
declare const NextVideo: import("react").ForwardRefExoticComponent<((Omit<import("./players/media/index.js").NativeVideoProps & import("./types.js").PlayerProps, "poster" | "src"> & {
    as?: React.FunctionComponent<Omit<import("./players/media/index.js").MediaProps, "ref"> & import("./types.js").PlayerProps>;
    src?: Asset | string;
    poster?: import("next/image.js").StaticImageData | string;
    width?: number;
    height?: number;
    controls?: boolean;
    blurDataURL?: string;
    sizes?: string;
    loader?: import("./types.js").VideoLoader;
    transform?: (asset: Asset) => Asset;
} & {
    playbackId?: undefined;
}) | Omit<Omit<Partial<import("./players/media/index.js").MuxVideoProps> & import("./types.js").PlayerProps, "poster" | "src"> & {
    as?: React.FunctionComponent<Omit<import("./players/media/index.js").MediaProps, "ref"> & import("./types.js").PlayerProps>;
    src?: Asset | string;
    poster?: import("next/image.js").StaticImageData | string;
    width?: number;
    height?: number;
    controls?: boolean;
    blurDataURL?: string;
    sizes?: string;
    loader?: import("./types.js").VideoLoader;
    transform?: (asset: Asset) => Asset;
} & {
    playbackId?: string | undefined;
}, "ref">) & import("react").RefAttributes<HTMLVideoElement>>;
export declare function getVideoProps(allProps: VideoPropsInternal, state: {
    asset?: Asset;
}): {
    crossOrigin?: "" | "anonymous" | "use-credentials" | undefined;
    thumbnailTime?: number | undefined;
    key?: import("react").Key | null | undefined;
    dir?: string | undefined | undefined;
    autoPlay?: boolean | undefined | undefined;
    slot?: string | undefined | undefined;
    title?: string | undefined | undefined;
    playsInline?: boolean | undefined | undefined;
    disablePictureInPicture?: boolean | undefined | undefined;
    disableRemotePlayback?: boolean | undefined | undefined;
    controlsList?: string | undefined | undefined;
    loop?: boolean | undefined | undefined;
    mediaGroup?: string | undefined | undefined;
    muted?: boolean | undefined | undefined;
    defaultChecked?: boolean | undefined | undefined;
    defaultValue?: string | number | readonly string[] | undefined;
    suppressContentEditableWarning?: boolean | undefined | undefined;
    suppressHydrationWarning?: boolean | undefined | undefined;
    accessKey?: string | undefined | undefined;
    autoCapitalize?: "off" | "none" | "on" | "sentences" | "words" | "characters" | undefined | (string & {}) | undefined;
    autoFocus?: boolean | undefined | undefined;
    contentEditable?: (boolean | "true" | "false") | "inherit" | "plaintext-only" | undefined;
    contextMenu?: string | undefined | undefined;
    draggable?: (boolean | "true" | "false") | undefined;
    enterKeyHint?: "enter" | "done" | "go" | "next" | "previous" | "search" | "send" | undefined | undefined;
    hidden?: boolean | undefined | undefined;
    id?: string | undefined | undefined;
    lang?: string | undefined | undefined;
    nonce?: string | undefined | undefined;
    spellCheck?: (boolean | "true" | "false") | undefined;
    tabIndex?: number | undefined | undefined;
    translate?: "yes" | "no" | undefined | undefined;
    radioGroup?: string | undefined | undefined;
    role?: import("react").AriaRole | undefined;
    about?: string | undefined | undefined;
    content?: string | undefined | undefined;
    datatype?: string | undefined | undefined;
    inlist?: any;
    prefix?: string | undefined | undefined;
    property?: string | undefined | undefined;
    rel?: string | undefined | undefined;
    resource?: string | undefined | undefined;
    rev?: string | undefined | undefined;
    typeof?: string | undefined | undefined;
    vocab?: string | undefined | undefined;
    autoCorrect?: string | undefined | undefined;
    autoSave?: string | undefined | undefined;
    color?: string | undefined | undefined;
    itemProp?: string | undefined | undefined;
    itemScope?: boolean | undefined | undefined;
    itemType?: string | undefined | undefined;
    itemID?: string | undefined | undefined;
    itemRef?: string | undefined | undefined;
    results?: number | undefined | undefined;
    security?: string | undefined | undefined;
    unselectable?: "on" | "off" | undefined | undefined;
    popover?: "" | "auto" | "manual" | undefined | undefined;
    popoverTargetAction?: "toggle" | "show" | "hide" | undefined | undefined;
    popoverTarget?: string | undefined | undefined;
    inert?: boolean | undefined | undefined;
    inputMode?: "none" | "text" | "tel" | "url" | "email" | "numeric" | "decimal" | "search" | undefined | undefined;
    is?: string | undefined | undefined;
    tw?: string | undefined;
    "aria-activedescendant"?: string | undefined | undefined;
    "aria-atomic"?: (boolean | "true" | "false") | undefined;
    "aria-autocomplete"?: "none" | "inline" | "list" | "both" | undefined | undefined;
    "aria-braillelabel"?: string | undefined | undefined;
    "aria-brailleroledescription"?: string | undefined | undefined;
    "aria-busy"?: (boolean | "true" | "false") | undefined;
    "aria-checked"?: boolean | "false" | "mixed" | "true" | undefined | undefined;
    "aria-colcount"?: number | undefined | undefined;
    "aria-colindex"?: number | undefined | undefined;
    "aria-colindextext"?: string | undefined | undefined;
    "aria-colspan"?: number | undefined | undefined;
    "aria-controls"?: string | undefined | undefined;
    "aria-current"?: boolean | "false" | "true" | "page" | "step" | "location" | "date" | "time" | undefined | undefined;
    "aria-describedby"?: string | undefined | undefined;
    "aria-description"?: string | undefined | undefined;
    "aria-details"?: string | undefined | undefined;
    "aria-disabled"?: (boolean | "true" | "false") | undefined;
    "aria-dropeffect"?: "none" | "copy" | "execute" | "link" | "move" | "popup" | undefined | undefined;
    "aria-errormessage"?: string | undefined | undefined;
    "aria-expanded"?: (boolean | "true" | "false") | undefined;
    "aria-flowto"?: string | undefined | undefined;
    "aria-grabbed"?: (boolean | "true" | "false") | undefined;
    "aria-haspopup"?: boolean | "false" | "true" | "menu" | "listbox" | "tree" | "grid" | "dialog" | undefined | undefined;
    "aria-hidden"?: (boolean | "true" | "false") | undefined;
    "aria-invalid"?: boolean | "false" | "true" | "grammar" | "spelling" | undefined | undefined;
    "aria-keyshortcuts"?: string | undefined | undefined;
    "aria-label"?: string | undefined | undefined;
    "aria-labelledby"?: string | undefined | undefined;
    "aria-level"?: number | undefined | undefined;
    "aria-live"?: "off" | "assertive" | "polite" | undefined | undefined;
    "aria-modal"?: (boolean | "true" | "false") | undefined;
    "aria-multiline"?: (boolean | "true" | "false") | undefined;
    "aria-multiselectable"?: (boolean | "true" | "false") | undefined;
    "aria-orientation"?: "horizontal" | "vertical" | undefined | undefined;
    "aria-owns"?: string | undefined | undefined;
    "aria-placeholder"?: string | undefined | undefined;
    "aria-posinset"?: number | undefined | undefined;
    "aria-pressed"?: boolean | "false" | "mixed" | "true" | undefined | undefined;
    "aria-readonly"?: (boolean | "true" | "false") | undefined;
    "aria-relevant"?: "additions" | "additions removals" | "additions text" | "all" | "removals" | "removals additions" | "removals text" | "text" | "text additions" | "text removals" | undefined | undefined;
    "aria-required"?: (boolean | "true" | "false") | undefined;
    "aria-roledescription"?: string | undefined | undefined;
    "aria-rowcount"?: number | undefined | undefined;
    "aria-rowindex"?: number | undefined | undefined;
    "aria-rowindextext"?: string | undefined | undefined;
    "aria-rowspan"?: number | undefined | undefined;
    "aria-selected"?: (boolean | "true" | "false") | undefined;
    "aria-setsize"?: number | undefined | undefined;
    "aria-sort"?: "none" | "ascending" | "descending" | "other" | undefined | undefined;
    "aria-valuemax"?: number | undefined | undefined;
    "aria-valuemin"?: number | undefined | undefined;
    "aria-valuenow"?: number | undefined | undefined;
    "aria-valuetext"?: string | undefined | undefined;
    children?: import("react").ReactNode;
    dangerouslySetInnerHTML?: {
        __html: string | TrustedHTML;
    } | undefined | undefined;
    onCopy?: import("react").ClipboardEventHandler<HTMLVideoElement> | undefined;
    onCopyCapture?: import("react").ClipboardEventHandler<HTMLVideoElement> | undefined;
    onCut?: import("react").ClipboardEventHandler<HTMLVideoElement> | undefined;
    onCutCapture?: import("react").ClipboardEventHandler<HTMLVideoElement> | undefined;
    onPaste?: import("react").ClipboardEventHandler<HTMLVideoElement> | undefined;
    onPasteCapture?: import("react").ClipboardEventHandler<HTMLVideoElement> | undefined;
    onCompositionEnd?: import("react").CompositionEventHandler<HTMLVideoElement> | undefined;
    onCompositionEndCapture?: import("react").CompositionEventHandler<HTMLVideoElement> | undefined;
    onCompositionStart?: import("react").CompositionEventHandler<HTMLVideoElement> | undefined;
    onCompositionStartCapture?: import("react").CompositionEventHandler<HTMLVideoElement> | undefined;
    onCompositionUpdate?: import("react").CompositionEventHandler<HTMLVideoElement> | undefined;
    onCompositionUpdateCapture?: import("react").CompositionEventHandler<HTMLVideoElement> | undefined;
    onFocus?: import("react").FocusEventHandler<HTMLVideoElement> | undefined;
    onFocusCapture?: import("react").FocusEventHandler<HTMLVideoElement> | undefined;
    onBlur?: import("react").FocusEventHandler<HTMLVideoElement> | undefined;
    onBlurCapture?: import("react").FocusEventHandler<HTMLVideoElement> | undefined;
    onChange?: import("react").FormEventHandler<HTMLVideoElement> | undefined;
    onChangeCapture?: import("react").FormEventHandler<HTMLVideoElement> | undefined;
    onBeforeInput?: import("react").FormEventHandler<HTMLVideoElement> | undefined;
    onBeforeInputCapture?: import("react").FormEventHandler<HTMLVideoElement> | undefined;
    onInput?: import("react").FormEventHandler<HTMLVideoElement> | undefined;
    onInputCapture?: import("react").FormEventHandler<HTMLVideoElement> | undefined;
    onReset?: import("react").FormEventHandler<HTMLVideoElement> | undefined;
    onResetCapture?: import("react").FormEventHandler<HTMLVideoElement> | undefined;
    onSubmit?: import("react").FormEventHandler<HTMLVideoElement> | undefined;
    onSubmitCapture?: import("react").FormEventHandler<HTMLVideoElement> | undefined;
    onInvalid?: import("react").FormEventHandler<HTMLVideoElement> | undefined;
    onInvalidCapture?: import("react").FormEventHandler<HTMLVideoElement> | undefined;
    onLoad?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onLoadCapture?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onError?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onErrorCapture?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onKeyDown?: import("react").KeyboardEventHandler<HTMLVideoElement> | undefined;
    onKeyDownCapture?: import("react").KeyboardEventHandler<HTMLVideoElement> | undefined;
    onKeyPress?: import("react").KeyboardEventHandler<HTMLVideoElement> | undefined;
    onKeyPressCapture?: import("react").KeyboardEventHandler<HTMLVideoElement> | undefined;
    onKeyUp?: import("react").KeyboardEventHandler<HTMLVideoElement> | undefined;
    onKeyUpCapture?: import("react").KeyboardEventHandler<HTMLVideoElement> | undefined;
    onAbort?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onAbortCapture?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onCanPlay?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onCanPlayCapture?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onCanPlayThrough?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onCanPlayThroughCapture?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onDurationChange?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onDurationChangeCapture?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onEmptied?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onEmptiedCapture?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onEncrypted?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onEncryptedCapture?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onEnded?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onEndedCapture?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onLoadedData?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onLoadedDataCapture?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onLoadedMetadata?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onLoadedMetadataCapture?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onLoadStart?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onLoadStartCapture?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onPause?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onPauseCapture?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onPlay?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onPlayCapture?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onPlaying?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onPlayingCapture?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onProgress?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onProgressCapture?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onRateChange?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onRateChangeCapture?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onResize?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onResizeCapture?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onSeeked?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onSeekedCapture?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onSeeking?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onSeekingCapture?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onStalled?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onStalledCapture?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onSuspend?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onSuspendCapture?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onTimeUpdate?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onTimeUpdateCapture?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onVolumeChange?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onVolumeChangeCapture?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onWaiting?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onWaitingCapture?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onAuxClick?: import("react").MouseEventHandler<HTMLVideoElement> | undefined;
    onAuxClickCapture?: import("react").MouseEventHandler<HTMLVideoElement> | undefined;
    onClick?: import("react").MouseEventHandler<HTMLVideoElement> | undefined;
    onClickCapture?: import("react").MouseEventHandler<HTMLVideoElement> | undefined;
    onContextMenu?: import("react").MouseEventHandler<HTMLVideoElement> | undefined;
    onContextMenuCapture?: import("react").MouseEventHandler<HTMLVideoElement> | undefined;
    onDoubleClick?: import("react").MouseEventHandler<HTMLVideoElement> | undefined;
    onDoubleClickCapture?: import("react").MouseEventHandler<HTMLVideoElement> | undefined;
    onDrag?: import("react").DragEventHandler<HTMLVideoElement> | undefined;
    onDragCapture?: import("react").DragEventHandler<HTMLVideoElement> | undefined;
    onDragEnd?: import("react").DragEventHandler<HTMLVideoElement> | undefined;
    onDragEndCapture?: import("react").DragEventHandler<HTMLVideoElement> | undefined;
    onDragEnter?: import("react").DragEventHandler<HTMLVideoElement> | undefined;
    onDragEnterCapture?: import("react").DragEventHandler<HTMLVideoElement> | undefined;
    onDragExit?: import("react").DragEventHandler<HTMLVideoElement> | undefined;
    onDragExitCapture?: import("react").DragEventHandler<HTMLVideoElement> | undefined;
    onDragLeave?: import("react").DragEventHandler<HTMLVideoElement> | undefined;
    onDragLeaveCapture?: import("react").DragEventHandler<HTMLVideoElement> | undefined;
    onDragOver?: import("react").DragEventHandler<HTMLVideoElement> | undefined;
    onDragOverCapture?: import("react").DragEventHandler<HTMLVideoElement> | undefined;
    onDragStart?: import("react").DragEventHandler<HTMLVideoElement> | undefined;
    onDragStartCapture?: import("react").DragEventHandler<HTMLVideoElement> | undefined;
    onDrop?: import("react").DragEventHandler<HTMLVideoElement> | undefined;
    onDropCapture?: import("react").DragEventHandler<HTMLVideoElement> | undefined;
    onMouseDown?: import("react").MouseEventHandler<HTMLVideoElement> | undefined;
    onMouseDownCapture?: import("react").MouseEventHandler<HTMLVideoElement> | undefined;
    onMouseEnter?: import("react").MouseEventHandler<HTMLVideoElement> | undefined;
    onMouseLeave?: import("react").MouseEventHandler<HTMLVideoElement> | undefined;
    onMouseMove?: import("react").MouseEventHandler<HTMLVideoElement> | undefined;
    onMouseMoveCapture?: import("react").MouseEventHandler<HTMLVideoElement> | undefined;
    onMouseOut?: import("react").MouseEventHandler<HTMLVideoElement> | undefined;
    onMouseOutCapture?: import("react").MouseEventHandler<HTMLVideoElement> | undefined;
    onMouseOver?: import("react").MouseEventHandler<HTMLVideoElement> | undefined;
    onMouseOverCapture?: import("react").MouseEventHandler<HTMLVideoElement> | undefined;
    onMouseUp?: import("react").MouseEventHandler<HTMLVideoElement> | undefined;
    onMouseUpCapture?: import("react").MouseEventHandler<HTMLVideoElement> | undefined;
    onSelect?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onSelectCapture?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onTouchCancel?: import("react").TouchEventHandler<HTMLVideoElement> | undefined;
    onTouchCancelCapture?: import("react").TouchEventHandler<HTMLVideoElement> | undefined;
    onTouchEnd?: import("react").TouchEventHandler<HTMLVideoElement> | undefined;
    onTouchEndCapture?: import("react").TouchEventHandler<HTMLVideoElement> | undefined;
    onTouchMove?: import("react").TouchEventHandler<HTMLVideoElement> | undefined;
    onTouchMoveCapture?: import("react").TouchEventHandler<HTMLVideoElement> | undefined;
    onTouchStart?: import("react").TouchEventHandler<HTMLVideoElement> | undefined;
    onTouchStartCapture?: import("react").TouchEventHandler<HTMLVideoElement> | undefined;
    onPointerDown?: import("react").PointerEventHandler<HTMLVideoElement> | undefined;
    onPointerDownCapture?: import("react").PointerEventHandler<HTMLVideoElement> | undefined;
    onPointerMove?: import("react").PointerEventHandler<HTMLVideoElement> | undefined;
    onPointerMoveCapture?: import("react").PointerEventHandler<HTMLVideoElement> | undefined;
    onPointerUp?: import("react").PointerEventHandler<HTMLVideoElement> | undefined;
    onPointerUpCapture?: import("react").PointerEventHandler<HTMLVideoElement> | undefined;
    onPointerCancel?: import("react").PointerEventHandler<HTMLVideoElement> | undefined;
    onPointerCancelCapture?: import("react").PointerEventHandler<HTMLVideoElement> | undefined;
    onPointerEnter?: import("react").PointerEventHandler<HTMLVideoElement> | undefined;
    onPointerLeave?: import("react").PointerEventHandler<HTMLVideoElement> | undefined;
    onPointerOver?: import("react").PointerEventHandler<HTMLVideoElement> | undefined;
    onPointerOverCapture?: import("react").PointerEventHandler<HTMLVideoElement> | undefined;
    onPointerOut?: import("react").PointerEventHandler<HTMLVideoElement> | undefined;
    onPointerOutCapture?: import("react").PointerEventHandler<HTMLVideoElement> | undefined;
    onGotPointerCapture?: import("react").PointerEventHandler<HTMLVideoElement> | undefined;
    onGotPointerCaptureCapture?: import("react").PointerEventHandler<HTMLVideoElement> | undefined;
    onLostPointerCapture?: import("react").PointerEventHandler<HTMLVideoElement> | undefined;
    onLostPointerCaptureCapture?: import("react").PointerEventHandler<HTMLVideoElement> | undefined;
    onScroll?: import("react").UIEventHandler<HTMLVideoElement> | undefined;
    onScrollCapture?: import("react").UIEventHandler<HTMLVideoElement> | undefined;
    onWheel?: import("react").WheelEventHandler<HTMLVideoElement> | undefined;
    onWheelCapture?: import("react").WheelEventHandler<HTMLVideoElement> | undefined;
    onAnimationStart?: import("react").AnimationEventHandler<HTMLVideoElement> | undefined;
    onAnimationStartCapture?: import("react").AnimationEventHandler<HTMLVideoElement> | undefined;
    onAnimationEnd?: import("react").AnimationEventHandler<HTMLVideoElement> | undefined;
    onAnimationEndCapture?: import("react").AnimationEventHandler<HTMLVideoElement> | undefined;
    onAnimationIteration?: import("react").AnimationEventHandler<HTMLVideoElement> | undefined;
    onAnimationIterationCapture?: import("react").AnimationEventHandler<HTMLVideoElement> | undefined;
    onToggle?: import("react").ToggleEventHandler<HTMLVideoElement> | undefined;
    onBeforeToggle?: import("react").ToggleEventHandler<HTMLVideoElement> | undefined;
    onTransitionCancel?: import("react").TransitionEventHandler<HTMLVideoElement> | undefined;
    onTransitionCancelCapture?: import("react").TransitionEventHandler<HTMLVideoElement> | undefined;
    onTransitionEnd?: import("react").TransitionEventHandler<HTMLVideoElement> | undefined;
    onTransitionEndCapture?: import("react").TransitionEventHandler<HTMLVideoElement> | undefined;
    onTransitionRun?: import("react").TransitionEventHandler<HTMLVideoElement> | undefined;
    onTransitionRunCapture?: import("react").TransitionEventHandler<HTMLVideoElement> | undefined;
    onTransitionStart?: import("react").TransitionEventHandler<HTMLVideoElement> | undefined;
    onTransitionStartCapture?: import("react").TransitionEventHandler<HTMLVideoElement> | undefined;
    asset?: Asset | undefined;
    theme?: React.ComponentType | undefined;
    width?: number;
    height?: number;
    sizes?: string;
    playbackId?: undefined;
    src: string | undefined;
    poster: string | undefined;
    controls: boolean;
    blurDataURL: string | undefined;
} | {
    crossOrigin?: "" | "anonymous" | "use-credentials" | undefined;
    thumbnailTime?: number | undefined;
    width?: number;
    customDomain?: string | undefined;
    error?: MediaError | (MediaError & import("@mux/playback-core").MediaError) | null | undefined;
    playbackId?: string | undefined;
    key?: import("react").Key | null | undefined;
    dir?: string | undefined | undefined;
    metadata?: Partial<Options>;
    preload?: string | undefined | undefined;
    seekable?: TimeRanges | undefined;
    _hlsConfig?: Partial<import("hls.js").HlsConfig> | undefined;
    autoPlay?: import("@mux/playback-core").Autoplay | undefined;
    autoplay?: import("@mux/playback-core").Autoplay | undefined;
    beaconCollectionDomain?: Options;
    debug?: Options & import("hls.js").default["config"]["debug"];
    disableCookies?: Options;
    disableTracking?: boolean | undefined;
    drmToken?: string | undefined;
    playbackToken?: string | undefined;
    envKey?: Options;
    errorTranslator?: Options;
    liveEdgeStart?: number | undefined;
    maxResolution?: import("@mux/playback-core").MaxResolutionValue | undefined;
    minResolution?: import("@mux/playback-core").MinResolutionValue | undefined;
    playerInitTime?: Options;
    preferCmcd?: import("@mux/playback-core").ValueOf<import("@mux/playback-core").CmcdTypes> | undefined;
    preferPlayback?: import("@mux/playback-core").ValueOf<import("@mux/playback-core").PlaybackTypes> | undefined;
    programStartTime?: number | undefined;
    programEndTime?: number | undefined;
    assetStartTime?: number | undefined;
    assetEndTime?: number | undefined;
    renditionOrder?: "desc" | undefined;
    startTime?: number | undefined;
    streamType?: import("@mux/playback-core").ValueOf<import("@mux/playback-core").StreamTypes> | undefined;
    targetLiveWindow?: number | undefined;
    tokens?: import("@mux/playback-core").Tokens | undefined;
    type?: import("@mux/playback-core").MediaTypes | undefined;
    extraSourceParams?: Record<string, any> | undefined;
    slot?: string | undefined | undefined;
    title?: string | undefined | undefined;
    ref?: import("react").Ref<HTMLVideoElement> | undefined;
    height?: number;
    playsInline?: boolean | undefined | undefined;
    disablePictureInPicture?: boolean | undefined | undefined;
    disableRemotePlayback?: boolean | undefined | undefined;
    controlsList?: string | undefined | undefined;
    loop?: boolean | undefined | undefined;
    mediaGroup?: string | undefined | undefined;
    muted?: boolean | undefined | undefined;
    defaultChecked?: boolean | undefined | undefined;
    defaultValue?: string | number | readonly string[] | undefined;
    suppressContentEditableWarning?: boolean | undefined | undefined;
    suppressHydrationWarning?: boolean | undefined | undefined;
    accessKey?: string | undefined | undefined;
    autoCapitalize?: "off" | "none" | "on" | "sentences" | "words" | "characters" | undefined | (string & {}) | undefined;
    autoFocus?: boolean | undefined | undefined;
    contentEditable?: (boolean | "true" | "false") | "inherit" | "plaintext-only" | undefined;
    contextMenu?: string | undefined | undefined;
    draggable?: (boolean | "true" | "false") | undefined;
    enterKeyHint?: "enter" | "done" | "go" | "next" | "previous" | "search" | "send" | undefined | undefined;
    hidden?: boolean | undefined | undefined;
    id?: string | undefined | undefined;
    lang?: string | undefined | undefined;
    nonce?: string | undefined | undefined;
    spellCheck?: (boolean | "true" | "false") | undefined;
    tabIndex?: number | undefined | undefined;
    translate?: "yes" | "no" | undefined | undefined;
    radioGroup?: string | undefined | undefined;
    role?: import("react").AriaRole | undefined;
    about?: string | undefined | undefined;
    content?: string | undefined | undefined;
    datatype?: string | undefined | undefined;
    inlist?: any;
    prefix?: string | undefined | undefined;
    property?: string | undefined | undefined;
    rel?: string | undefined | undefined;
    resource?: string | undefined | undefined;
    rev?: string | undefined | undefined;
    typeof?: string | undefined | undefined;
    vocab?: string | undefined | undefined;
    autoCorrect?: string | undefined | undefined;
    autoSave?: string | undefined | undefined;
    color?: string | undefined | undefined;
    itemProp?: string | undefined | undefined;
    itemScope?: boolean | undefined | undefined;
    itemType?: string | undefined | undefined;
    itemID?: string | undefined | undefined;
    itemRef?: string | undefined | undefined;
    results?: number | undefined | undefined;
    security?: string | undefined | undefined;
    unselectable?: "on" | "off" | undefined | undefined;
    popover?: "" | "auto" | "manual" | undefined | undefined;
    popoverTargetAction?: "toggle" | "show" | "hide" | undefined | undefined;
    popoverTarget?: string | undefined | undefined;
    inert?: boolean | undefined | undefined;
    inputMode?: "none" | "text" | "tel" | "url" | "email" | "numeric" | "decimal" | "search" | undefined | undefined;
    is?: string | undefined | undefined;
    tw?: string | undefined;
    "aria-activedescendant"?: string | undefined | undefined;
    "aria-atomic"?: (boolean | "true" | "false") | undefined;
    "aria-autocomplete"?: "none" | "inline" | "list" | "both" | undefined | undefined;
    "aria-braillelabel"?: string | undefined | undefined;
    "aria-brailleroledescription"?: string | undefined | undefined;
    "aria-busy"?: (boolean | "true" | "false") | undefined;
    "aria-checked"?: boolean | "false" | "mixed" | "true" | undefined | undefined;
    "aria-colcount"?: number | undefined | undefined;
    "aria-colindex"?: number | undefined | undefined;
    "aria-colindextext"?: string | undefined | undefined;
    "aria-colspan"?: number | undefined | undefined;
    "aria-controls"?: string | undefined | undefined;
    "aria-current"?: boolean | "false" | "true" | "page" | "step" | "location" | "date" | "time" | undefined | undefined;
    "aria-describedby"?: string | undefined | undefined;
    "aria-description"?: string | undefined | undefined;
    "aria-details"?: string | undefined | undefined;
    "aria-disabled"?: (boolean | "true" | "false") | undefined;
    "aria-dropeffect"?: "none" | "copy" | "execute" | "link" | "move" | "popup" | undefined | undefined;
    "aria-errormessage"?: string | undefined | undefined;
    "aria-expanded"?: (boolean | "true" | "false") | undefined;
    "aria-flowto"?: string | undefined | undefined;
    "aria-grabbed"?: (boolean | "true" | "false") | undefined;
    "aria-haspopup"?: boolean | "false" | "true" | "menu" | "listbox" | "tree" | "grid" | "dialog" | undefined | undefined;
    "aria-hidden"?: (boolean | "true" | "false") | undefined;
    "aria-invalid"?: boolean | "false" | "true" | "grammar" | "spelling" | undefined | undefined;
    "aria-keyshortcuts"?: string | undefined | undefined;
    "aria-label"?: string | undefined | undefined;
    "aria-labelledby"?: string | undefined | undefined;
    "aria-level"?: number | undefined | undefined;
    "aria-live"?: "off" | "assertive" | "polite" | undefined | undefined;
    "aria-modal"?: (boolean | "true" | "false") | undefined;
    "aria-multiline"?: (boolean | "true" | "false") | undefined;
    "aria-multiselectable"?: (boolean | "true" | "false") | undefined;
    "aria-orientation"?: "horizontal" | "vertical" | undefined | undefined;
    "aria-owns"?: string | undefined | undefined;
    "aria-placeholder"?: string | undefined | undefined;
    "aria-posinset"?: number | undefined | undefined;
    "aria-pressed"?: boolean | "false" | "mixed" | "true" | undefined | undefined;
    "aria-readonly"?: (boolean | "true" | "false") | undefined;
    "aria-relevant"?: "additions" | "additions removals" | "additions text" | "all" | "removals" | "removals additions" | "removals text" | "text" | "text additions" | "text removals" | undefined | undefined;
    "aria-required"?: (boolean | "true" | "false") | undefined;
    "aria-roledescription"?: string | undefined | undefined;
    "aria-rowcount"?: number | undefined | undefined;
    "aria-rowindex"?: number | undefined | undefined;
    "aria-rowindextext"?: string | undefined | undefined;
    "aria-rowspan"?: number | undefined | undefined;
    "aria-selected"?: (boolean | "true" | "false") | undefined;
    "aria-setsize"?: number | undefined | undefined;
    "aria-sort"?: "none" | "ascending" | "descending" | "other" | undefined | undefined;
    "aria-valuemax"?: number | undefined | undefined;
    "aria-valuemin"?: number | undefined | undefined;
    "aria-valuenow"?: number | undefined | undefined;
    "aria-valuetext"?: string | undefined | undefined;
    children?: import("react").ReactNode;
    dangerouslySetInnerHTML?: {
        __html: string | TrustedHTML;
    } | undefined | undefined;
    onCopy?: import("react").ClipboardEventHandler<HTMLVideoElement> | undefined;
    onCopyCapture?: import("react").ClipboardEventHandler<HTMLVideoElement> | undefined;
    onCut?: import("react").ClipboardEventHandler<HTMLVideoElement> | undefined;
    onCutCapture?: import("react").ClipboardEventHandler<HTMLVideoElement> | undefined;
    onPaste?: import("react").ClipboardEventHandler<HTMLVideoElement> | undefined;
    onPasteCapture?: import("react").ClipboardEventHandler<HTMLVideoElement> | undefined;
    onCompositionEnd?: import("react").CompositionEventHandler<HTMLVideoElement> | undefined;
    onCompositionEndCapture?: import("react").CompositionEventHandler<HTMLVideoElement> | undefined;
    onCompositionStart?: import("react").CompositionEventHandler<HTMLVideoElement> | undefined;
    onCompositionStartCapture?: import("react").CompositionEventHandler<HTMLVideoElement> | undefined;
    onCompositionUpdate?: import("react").CompositionEventHandler<HTMLVideoElement> | undefined;
    onCompositionUpdateCapture?: import("react").CompositionEventHandler<HTMLVideoElement> | undefined;
    onFocus?: import("react").FocusEventHandler<HTMLVideoElement> | undefined;
    onFocusCapture?: import("react").FocusEventHandler<HTMLVideoElement> | undefined;
    onBlur?: import("react").FocusEventHandler<HTMLVideoElement> | undefined;
    onBlurCapture?: import("react").FocusEventHandler<HTMLVideoElement> | undefined;
    onChange?: import("react").FormEventHandler<HTMLVideoElement> | undefined;
    onChangeCapture?: import("react").FormEventHandler<HTMLVideoElement> | undefined;
    onBeforeInput?: import("react").FormEventHandler<HTMLVideoElement> | undefined;
    onBeforeInputCapture?: import("react").FormEventHandler<HTMLVideoElement> | undefined;
    onInput?: import("react").FormEventHandler<HTMLVideoElement> | undefined;
    onInputCapture?: import("react").FormEventHandler<HTMLVideoElement> | undefined;
    onReset?: import("react").FormEventHandler<HTMLVideoElement> | undefined;
    onResetCapture?: import("react").FormEventHandler<HTMLVideoElement> | undefined;
    onSubmit?: import("react").FormEventHandler<HTMLVideoElement> | undefined;
    onSubmitCapture?: import("react").FormEventHandler<HTMLVideoElement> | undefined;
    onInvalid?: import("react").FormEventHandler<HTMLVideoElement> | undefined;
    onInvalidCapture?: import("react").FormEventHandler<HTMLVideoElement> | undefined;
    onLoad?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onLoadCapture?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onError?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onErrorCapture?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onKeyDown?: import("react").KeyboardEventHandler<HTMLVideoElement> | undefined;
    onKeyDownCapture?: import("react").KeyboardEventHandler<HTMLVideoElement> | undefined;
    onKeyPress?: import("react").KeyboardEventHandler<HTMLVideoElement> | undefined;
    onKeyPressCapture?: import("react").KeyboardEventHandler<HTMLVideoElement> | undefined;
    onKeyUp?: import("react").KeyboardEventHandler<HTMLVideoElement> | undefined;
    onKeyUpCapture?: import("react").KeyboardEventHandler<HTMLVideoElement> | undefined;
    onAbort?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onAbortCapture?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onCanPlay?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onCanPlayCapture?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onCanPlayThrough?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onCanPlayThroughCapture?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onDurationChange?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onDurationChangeCapture?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onEmptied?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onEmptiedCapture?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onEncrypted?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onEncryptedCapture?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onEnded?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onEndedCapture?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onLoadedData?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onLoadedDataCapture?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onLoadedMetadata?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onLoadedMetadataCapture?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onLoadStart?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onLoadStartCapture?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onPause?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onPauseCapture?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onPlay?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onPlayCapture?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onPlaying?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onPlayingCapture?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onProgress?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onProgressCapture?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onRateChange?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onRateChangeCapture?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onResize?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onResizeCapture?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onSeeked?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onSeekedCapture?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onSeeking?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onSeekingCapture?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onStalled?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onStalledCapture?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onSuspend?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onSuspendCapture?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onTimeUpdate?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onTimeUpdateCapture?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onVolumeChange?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onVolumeChangeCapture?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onWaiting?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onWaitingCapture?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onAuxClick?: import("react").MouseEventHandler<HTMLVideoElement> | undefined;
    onAuxClickCapture?: import("react").MouseEventHandler<HTMLVideoElement> | undefined;
    onClick?: import("react").MouseEventHandler<HTMLVideoElement> | undefined;
    onClickCapture?: import("react").MouseEventHandler<HTMLVideoElement> | undefined;
    onContextMenu?: import("react").MouseEventHandler<HTMLVideoElement> | undefined;
    onContextMenuCapture?: import("react").MouseEventHandler<HTMLVideoElement> | undefined;
    onDoubleClick?: import("react").MouseEventHandler<HTMLVideoElement> | undefined;
    onDoubleClickCapture?: import("react").MouseEventHandler<HTMLVideoElement> | undefined;
    onDrag?: import("react").DragEventHandler<HTMLVideoElement> | undefined;
    onDragCapture?: import("react").DragEventHandler<HTMLVideoElement> | undefined;
    onDragEnd?: import("react").DragEventHandler<HTMLVideoElement> | undefined;
    onDragEndCapture?: import("react").DragEventHandler<HTMLVideoElement> | undefined;
    onDragEnter?: import("react").DragEventHandler<HTMLVideoElement> | undefined;
    onDragEnterCapture?: import("react").DragEventHandler<HTMLVideoElement> | undefined;
    onDragExit?: import("react").DragEventHandler<HTMLVideoElement> | undefined;
    onDragExitCapture?: import("react").DragEventHandler<HTMLVideoElement> | undefined;
    onDragLeave?: import("react").DragEventHandler<HTMLVideoElement> | undefined;
    onDragLeaveCapture?: import("react").DragEventHandler<HTMLVideoElement> | undefined;
    onDragOver?: import("react").DragEventHandler<HTMLVideoElement> | undefined;
    onDragOverCapture?: import("react").DragEventHandler<HTMLVideoElement> | undefined;
    onDragStart?: import("react").DragEventHandler<HTMLVideoElement> | undefined;
    onDragStartCapture?: import("react").DragEventHandler<HTMLVideoElement> | undefined;
    onDrop?: import("react").DragEventHandler<HTMLVideoElement> | undefined;
    onDropCapture?: import("react").DragEventHandler<HTMLVideoElement> | undefined;
    onMouseDown?: import("react").MouseEventHandler<HTMLVideoElement> | undefined;
    onMouseDownCapture?: import("react").MouseEventHandler<HTMLVideoElement> | undefined;
    onMouseEnter?: import("react").MouseEventHandler<HTMLVideoElement> | undefined;
    onMouseLeave?: import("react").MouseEventHandler<HTMLVideoElement> | undefined;
    onMouseMove?: import("react").MouseEventHandler<HTMLVideoElement> | undefined;
    onMouseMoveCapture?: import("react").MouseEventHandler<HTMLVideoElement> | undefined;
    onMouseOut?: import("react").MouseEventHandler<HTMLVideoElement> | undefined;
    onMouseOutCapture?: import("react").MouseEventHandler<HTMLVideoElement> | undefined;
    onMouseOver?: import("react").MouseEventHandler<HTMLVideoElement> | undefined;
    onMouseOverCapture?: import("react").MouseEventHandler<HTMLVideoElement> | undefined;
    onMouseUp?: import("react").MouseEventHandler<HTMLVideoElement> | undefined;
    onMouseUpCapture?: import("react").MouseEventHandler<HTMLVideoElement> | undefined;
    onSelect?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onSelectCapture?: import("react").ReactEventHandler<HTMLVideoElement> | undefined;
    onTouchCancel?: import("react").TouchEventHandler<HTMLVideoElement> | undefined;
    onTouchCancelCapture?: import("react").TouchEventHandler<HTMLVideoElement> | undefined;
    onTouchEnd?: import("react").TouchEventHandler<HTMLVideoElement> | undefined;
    onTouchEndCapture?: import("react").TouchEventHandler<HTMLVideoElement> | undefined;
    onTouchMove?: import("react").TouchEventHandler<HTMLVideoElement> | undefined;
    onTouchMoveCapture?: import("react").TouchEventHandler<HTMLVideoElement> | undefined;
    onTouchStart?: import("react").TouchEventHandler<HTMLVideoElement> | undefined;
    onTouchStartCapture?: import("react").TouchEventHandler<HTMLVideoElement> | undefined;
    onPointerDown?: import("react").PointerEventHandler<HTMLVideoElement> | undefined;
    onPointerDownCapture?: import("react").PointerEventHandler<HTMLVideoElement> | undefined;
    onPointerMove?: import("react").PointerEventHandler<HTMLVideoElement> | undefined;
    onPointerMoveCapture?: import("react").PointerEventHandler<HTMLVideoElement> | undefined;
    onPointerUp?: import("react").PointerEventHandler<HTMLVideoElement> | undefined;
    onPointerUpCapture?: import("react").PointerEventHandler<HTMLVideoElement> | undefined;
    onPointerCancel?: import("react").PointerEventHandler<HTMLVideoElement> | undefined;
    onPointerCancelCapture?: import("react").PointerEventHandler<HTMLVideoElement> | undefined;
    onPointerEnter?: import("react").PointerEventHandler<HTMLVideoElement> | undefined;
    onPointerLeave?: import("react").PointerEventHandler<HTMLVideoElement> | undefined;
    onPointerOver?: import("react").PointerEventHandler<HTMLVideoElement> | undefined;
    onPointerOverCapture?: import("react").PointerEventHandler<HTMLVideoElement> | undefined;
    onPointerOut?: import("react").PointerEventHandler<HTMLVideoElement> | undefined;
    onPointerOutCapture?: import("react").PointerEventHandler<HTMLVideoElement> | undefined;
    onGotPointerCapture?: import("react").PointerEventHandler<HTMLVideoElement> | undefined;
    onGotPointerCaptureCapture?: import("react").PointerEventHandler<HTMLVideoElement> | undefined;
    onLostPointerCapture?: import("react").PointerEventHandler<HTMLVideoElement> | undefined;
    onLostPointerCaptureCapture?: import("react").PointerEventHandler<HTMLVideoElement> | undefined;
    onScroll?: import("react").UIEventHandler<HTMLVideoElement> | undefined;
    onScrollCapture?: import("react").UIEventHandler<HTMLVideoElement> | undefined;
    onWheel?: import("react").WheelEventHandler<HTMLVideoElement> | undefined;
    onWheelCapture?: import("react").WheelEventHandler<HTMLVideoElement> | undefined;
    onAnimationStart?: import("react").AnimationEventHandler<HTMLVideoElement> | undefined;
    onAnimationStartCapture?: import("react").AnimationEventHandler<HTMLVideoElement> | undefined;
    onAnimationEnd?: import("react").AnimationEventHandler<HTMLVideoElement> | undefined;
    onAnimationEndCapture?: import("react").AnimationEventHandler<HTMLVideoElement> | undefined;
    onAnimationIteration?: import("react").AnimationEventHandler<HTMLVideoElement> | undefined;
    onAnimationIterationCapture?: import("react").AnimationEventHandler<HTMLVideoElement> | undefined;
    onToggle?: import("react").ToggleEventHandler<HTMLVideoElement> | undefined;
    onBeforeToggle?: import("react").ToggleEventHandler<HTMLVideoElement> | undefined;
    onTransitionCancel?: import("react").TransitionEventHandler<HTMLVideoElement> | undefined;
    onTransitionCancelCapture?: import("react").TransitionEventHandler<HTMLVideoElement> | undefined;
    onTransitionEnd?: import("react").TransitionEventHandler<HTMLVideoElement> | undefined;
    onTransitionEndCapture?: import("react").TransitionEventHandler<HTMLVideoElement> | undefined;
    onTransitionRun?: import("react").TransitionEventHandler<HTMLVideoElement> | undefined;
    onTransitionRunCapture?: import("react").TransitionEventHandler<HTMLVideoElement> | undefined;
    onTransitionStart?: import("react").TransitionEventHandler<HTMLVideoElement> | undefined;
    onTransitionStartCapture?: import("react").TransitionEventHandler<HTMLVideoElement> | undefined;
    asset?: Asset | undefined;
    theme?: React.ComponentType | undefined;
    sizes?: string;
    src: string | undefined;
    poster: string | undefined;
    controls: boolean;
    blurDataURL: string | undefined;
};
export default NextVideo;
